function [THat, sigsqTHat] = mvtqmcsub(MCreps, P, q, C, nu, a, b, outclass)
% Randomized Quasi-Monte-Carlo estimate of the integral

qq = [1:P]'*q;

THat = zeros(MCreps,1,outclass);
for rep = 1:MCreps
    % Generate a new random lattice of P points.  For MVT, this is in the
    % m-dimensional unit hypercube, for MVN, in the (m-1)-dimensional unit
    % hypercube.
    w = abs(2*mod(qq + repmat(rand(size(q)),P,1), 1) - 1);

    % Compute the mean of the integrand over all P of the points, and all P
    % of the antithetic points.
    THat(rep) = (F_qrsvn(a, b, C, nu, w) + F_qrsvn(a, b, C, nu, 1-w)) ./ 2;
end

% Return the MC mean and se^2
sigsqTHat = var(THat)./MCreps;
THat = mean(THat);

